WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.futures
Class FuturesHedging

    java.lang.Object
      |
      +--webcab.lib.finance.futures.FuturesHedging

All Implemented Interfaces:
  Serializable

public class FuturesHedging
extends Object
implements Serializable

Within this class we consider the use of futures contracts for the hedging of risks within stock, commodity, bond and currency markets.

See Also:
  Serialized Form

Constructor Summary
`FuturesHedging()` Creates a new instance.

Method Summary
`double` `betaHedge(double portfolio, double indexSize, double beta)` Returns the number of index futures to short (negative returned value) or buy (positive returned value) in order to hedge the risk from a well diversified stock portfolio.
`double` `betaModify(double portfolio, double indexSize, double originalBeta, double requiredBeta)` Returns the number of index futures to short (negative returned value) or buy (positive returned value) in order to modify the beta of a well diversified stock portfolio to any desired value.
`double` `closestHedge(double hedgeRatio, double physicalPosition, double contractSize)` This method returns the number of futures contracts which provide the closest the a perfect hedge for a physical position.
`double` `hedgeRatio(double correlation, double underlyingDeviation, double deviationFuture)` This method returns the Optimal Hedge ratio of a futures contract.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuturesHedging

    public FuturesHedging()

  Creates a new instance.

Method Detail

### hedgeRatio

    public double hedgeRatio(double correlation,
                             double underlyingDeviation,
                             double deviationFuture)
                      throws FuturesHedgingDemoException

  This method returns the Optimal Hedge ratio of a futures contract.

  Parameters:
    `correlation` - the correlation coefficient between the spot price and the futures price
    `underlyingDeviation` - the standard deviation of the underlying assets price
    `deviationFuture` - the standard deviation of the futures price
    `FuturesHedgingDemoException`

### closestHedge

    public double closestHedge(double hedgeRatio,
                               double physicalPosition,
                               double contractSize)
                        throws FuturesHedgingDemoException

  This method returns the number of futures contracts which provide the closest the a perfect hedge for a physical position.

  Parameters:
    `hedgeRatio` - the optimal hedge ratio of the physical position
    `physicalPosition` - the size of the absolute physical position
    `contractSize` - the contract size of each futures position
    `FuturesHedgingDemoException`

### betaHedge

    public double betaHedge(double portfolio,
                            double indexSize,
                            double beta)
                     throws FuturesHedgingDemoException

  Returns the number of index futures to short (negative returned value) or buy (positive returned value) in order to hedge the risk from a well diversified stock portfolio.

  Parameters:
    `portfolio` - the value of the portfolio
    `indexSize` - the value of the assets underlying one index futures contract
    `beta` - the beta of the portfolio according to the capital asset pricing model
    `FuturesHedgingDemoException`

### betaModify

    public double betaModify(double portfolio,
                             double indexSize,
                             double originalBeta,
                             double requiredBeta)
                      throws FuturesHedgingDemoException

  Returns the number of index futures to short (negative returned value) or buy (positive returned value) in order to modify the beta of a well diversified stock portfolio to any desired value.

  Parameters:
    `portfolio` - the value of the portfolio
    `indexSize` - the value of the assets underlying one index futures contract
    `originalBeta` - the beta of the starting portfolio according to the capital asset pricing model
    `requiredBeta` - the beta which we desire for the modified portfolio of stocks and futures
    `FuturesHedgingDemoException`

WebCab Options and Futures Demo v2.5 (J2SE Edition)